<?php
add_action('widgets_init', 'sermonaddons_slider_widget');

function sermonaddons_slider_widget()
{
	register_widget('sermonaddons_slider_widget');
}

class sermonaddons_slider_widget extends WP_Widget {
	
	public function __construct() {
		$widget_ops = array('classname' => 'sermonaddons_slider_widget', 'description' => esc_html__('!!Posts block for Elementor only!!','sermonaddons'));
       	parent::__construct(false, esc_html__('Themnific: Main Slider','sermonaddons'),$widget_ops);  
	}
	
	function widget($args, $instance)
	{
		extract($args);
		
		$post_type = 'all';
		$categories = isset( $instance['categories'] ) ? esc_attr( $instance['categories'] ) : '';
		$posts = isset( $instance['posts'] ) ? esc_attr( $instance['posts'] ) : '';
		
		echo wp_kses_post($before_widget);
		?>
		
		<?php
		$post_types = get_post_types();
		unset($post_types['page'], $post_types['attachment'], $post_types['revision'], $post_types['nav_menu_item']);
		
		if($post_type == 'all') {
			$post_type_array = $post_types;
		} else {
			$post_type_array = $post_type;
		}
		?>
            
			<?php
			if($categories === 'all'){
							$recent_posts = new WP_Query(array(
				'showposts' => $posts,
				'post_type' => 'wpm_ele_slider',
			));
			}
			else {
				
				$recent_posts = new WP_Query(array(
				'showposts' => $posts,
				'post_type' => 'wpm_ele_slider',
				'tax_query' => array(
					array(
						'taxonomy' => 'group',
						'terms' => $categories,
						'field' => 'term_id',
					)
				),
			));
			}
			
		
			wp_enqueue_script('owl-carousel', plugin_dir_url(__DIR__).'assets/js/owl.carousel.min.js','','', true);
			wp_enqueue_script('owl-carousel-start', plugin_dir_url(__DIR__).'assets/js/owl.carousel.start.js','','', true);
			

			
			?>
            
            <div class="wpm_eleslider_wrap">
            
                <img src="<?php echo plugin_dir_url(__DIR__).'assets/images/tail-spin.svg'; ?>" width="40" alt="">
                
                <div class="wpm_eleslider loop owl-carousel loading">
                
					<?php while($recent_posts->have_posts()): $recent_posts->the_post();?>
        
                        <?php 
                            $wpm_content_position = get_post_meta(get_the_ID(), 'wpm_slide_content_position', true);
                            $wpm_slide_url = get_post_meta(get_the_ID(), 'wpm_slide_url', true);
                        ?>
                              
                        <div class="eleinside eleinside_<?php echo esc_attr($wpm_content_position); ?>" data-dot="<?php the_title();?>">
                        
                        	<?php get_template_part('/post-types/post-slider'); ?>
                                    
                       	</div>
                        
                <?php endwhile; wp_reset_postdata(); ?>
                
			    </div> <!-- end .wpm_eleslider -->
                
    		</div> <!-- end .wpm_eleslider_wrap -->
            
			<div class="clearfix"></div>
		
		<?php
		echo wp_kses_post($after_widget);
	}
	
	function update($new_instance, $old_instance)
	{
		$instance = $old_instance;
		
		$instance['post_type'] = 'all';
		$instance['categories'] = $new_instance['categories'];
		$instance['posts'] = sanitize_text_field($new_instance['posts']);
		
		return $instance;
	}

	function form($instance)
	{
		$defaults = array( 'categories' => '', 'posts' => 4, );
		$instance = wp_parse_args((array) $instance, $defaults); ?>

		
		<p>
			<label for="<?php echo esc_attr($this->get_field_id('categories')); ?>"><?php esc_html_e('Filter by Category','sermonaddons'); ?></label> 
			<select id="<?php echo esc_attr($this->get_field_id('categories')); ?>" name="<?php echo esc_attr($this->get_field_name('categories')); ?>" class="widefat categories">
				<option value='all' <?php if ('all' == $instance['categories']) echo 'selected="selected"'; ?>></option>
				<?php $categories = get_categories($args = array(
															'type'		=> 'wpm_ele_slider',
															'orderby'	=> 'name',
															'order'		=> 'ASC',
															'taxonomy'	=> 'group'
															)) ?>
				<?php foreach($categories as $category) { ?>
				<option value='<?php echo esc_attr($category->term_id); ?>' <?php if ($category->term_id == $instance['categories']) echo 'selected="selected"'; ?>><?php echo esc_attr($category->cat_name); ?></option>
				<?php } ?>
			</select>
		</p>
		
		<p>
			<label for="<?php echo esc_attr($this->get_field_id('posts')); ?>"><?php esc_html_e('Number of posts','sermonaddons'); ?></label>
			<input class="widefat" style="width: 40px;" id="<?php echo esc_attr($this->get_field_id('posts')); ?>" name="<?php echo esc_attr($this->get_field_name('posts')); ?>" value="<?php echo esc_attr($instance['posts']); ?>" />
		</p>
		

	<?php }
}
?>