<?php
/*
Plugin Name: 	Sermon Addons
Plugin URI: 	https://wpmasters.org/
Description: 	Create Slider and Sermon custom posts.
Author: 		wpmasters
Author URI: 	https://wpmasters.org/
Version: 		1.1
License:		GPL2+
*/

/*  Copyright 2019 - 2023  WPMasters (Themnific)

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License, version 2, as 
	published by the Free Software Foundation.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

if ( !class_exists( 'SermonAddons' ) ) :

final class SermonAddons {};

////////////
// variables
$sermonaddons_main_file = dirname(__FILE__).'/sermon-addons.php';
$sermonaddons_directory = plugin_dir_url($sermonaddons_main_file);
$sermonaddons_path = dirname(__FILE__);


////////////
// text domain
load_plugin_textdomain('sermonaddons', false, basename( dirname( __FILE__ ) ) . '/languages' );


////////////
// custom post type 	
require_once ('functions/post-type-sermon.php'); 	
require_once ('functions/post-type-slider.php'); 	

////////////
// widget
include_once (dirname( __FILE__ ) . '/functions/widget-slider.php');
include_once (dirname( __FILE__ ) . '/functions/widget-sermons.php');
include_once (dirname( __FILE__ ) . '/functions/widget-blog.php');
include_once (dirname( __FILE__ ) . '/functions/widget-featured.php');
include_once (dirname( __FILE__ ) . '/functions/widget-social-networks.php');



////////////
// thumb for admin section 1.
function sermonaddons_get_featured_image($post_ID) {  
    $post_thumbnail_id = get_post_thumbnail_id($post_ID);  
    if ($post_thumbnail_id) {  
        $post_thumbnail_img = wp_get_attachment_image_src($post_thumbnail_id, 'thumbnail');  
        return $post_thumbnail_img[0];  
    }  
} 
// thumb for admin section 2. ADD NEW COLUMN  
function sermonaddons_columns_head($defaults) {  
	$defaults['featured_image'] = 'Featured Image';  
	return $defaults;  
}  
// thumb for admin section 3. SHOW THE FEATURED IMAGE  
function sermonaddons_columns_content($column_name, $post_ID) {  
	if ($column_name == 'featured_image') {  
		$post_featured_image = sermonaddons_get_featured_image($post_ID);  
		if ($post_featured_image) {  
			echo '<img style=" width:100px;" src="' . $post_featured_image . '" />';  
		}  
	}  
}  
add_filter('manage_posts_columns', 'sermonaddons_columns_head');  
add_action('manage_posts_custom_column', 'sermonaddons_columns_content', 10, 2); 

endif; // class_exists check

?>
